libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::QueryFieldFunc Class Reference

Represents a function (selected by a GdaDictFunction object). More...

Inheritance diagram for Gnome::Gda::QueryFieldFunc:

[legend]
List of all members.

## Public Member Functions

Glib::SListHandle< Glib::RefPtr< QueryField > > | get_args ()
| Get a list of the other Gda::QueryField objects which are arguments of func.
Glib::RefPtr<DictFunction> | get_ref_func ()
| Get the name of the function which func represents.
Glib::ustring | get_ref_func_name ()
const GdaQueryFieldFunc* | gobj () const
| Provides access to the underlying C GObject.
GdaQueryFieldFunc* | gobj ()
| Provides access to the underlying C GObject.
GdaQueryFieldFunc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| QueryFieldFunc (const Glib::RefPtr<Query>& query, const Glib::ustring& func_name)
bool | set_args (const Glib::SListHandle<Glib::RefPtr<QueryField>>& args)
| Sets the argument(s) of func.
virtual | ~QueryFieldFunc ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::QueryFieldFunc> | wrap (GdaQueryFieldFunc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Represents a function (selected by a GdaDictFunction object).

## Constructor & Destructor Documentation

virtual Gnome::Gda::QueryFieldFunc::~QueryFieldFunc | ( |  | ) | `[virtual]`

Gnome::Gda::QueryFieldFunc::QueryFieldFunc | ( | const Glib::RefPtr<Query>& | query,
|  | const Glib::ustring & | func_name |
| ) |  |  | `[explicit]`

## Member Function Documentation

Glib::SListHandle<Glib::RefPtr<QueryField>> Gnome::Gda::QueryFieldFunc::get_args | ( |  | ) |

Get a list of the other Gda::QueryField objects which are arguments of func.

If some of them are missing, then a `0` is inserted where it should have been.

Returns:
  A new list of arguments.

Glib::RefPtr<DictFunction> Gnome::Gda::QueryFieldFunc::get_ref_func | ( |  | ) |

Get the name of the function which func represents.

Returns:
  The function name.

Glib::ustring Gnome::Gda::QueryFieldFunc::get_ref_func_name | ( |  | ) |

const GdaQueryFieldFunc* Gnome::Gda::QueryFieldFunc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldFunc* Gnome::Gda::QueryFieldFunc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::EntityField.

GdaQueryFieldFunc* Gnome::Gda::QueryFieldFunc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gnome::Gda::QueryField.

bool Gnome::Gda::QueryFieldFunc::set_args | ( | const Glib::SListHandle<Glib::RefPtr<QueryField>>& | args | ) |

Sets the argument(s) of func.

If args is `0`, then all the arguments (if there was any) are removed.

If func is not active, then no check on the provided args is performed.

Parameters:

  | args | A list of Gda::QueryField objects.

Returns:
  `true` if no error occurred.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::QueryFieldFunc> wrap | ( | GdaQueryFieldFunc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- queryfieldfunc.h